Forum
J! JAPAN TOP
ようこそ, ゲスト
ユーザ名: パスワード: 自動ログイン

トピック: PHP変更について

PHP変更について 5 年 7 ヶ月 ago #4740

  • hanji009
  • hanji009 さんのアバター
  • Offline
  • Platinum Boarder
  • 投稿数: 466
  • 感謝を受け取りました 18
  • カルマ: 10
吉田@Goyat LLCです。

Joomlafish2.1.5がJoomla 1.5ようであるならば、それにアップデートして下さい。
それでこの問題は解決するのではないでしょうか。

エラーは見る限りJoomfishのものです。
ゲストの書き込みは許可されていません。

PHP変更について 5 年 7 ヶ月 ago #4741

  • Eileen
  • Eileen さんのアバター
  • Offline
  • Senior Boarder
  • 投稿数: 57
  • カルマ: 0
吉田様、

ご返信ありがとうございました。
返信が遅くなりまして、すみません。
Joom!Fishのサイトでダウンロードの項目を確認してみたのですが、JoomFish 2.2.3がありました。(http://www.joomfish.net/en/downloads/joomfish-core)
こちらが1.5用の最新バージョンのようですが、こちらをインストールで大丈夫でしょうか?
たびたびすみません、英文の解説のみなので、ちょっと不安なので、アドバイスいただけると幸いです。
宜しくお願いいたします。
ゲストの書き込みは許可されていません。

PHP変更について 5 年 7 ヶ月 ago #4742

  • hanji009
  • hanji009 さんのアバター
  • Offline
  • Platinum Boarder
  • 投稿数: 466
  • 感謝を受け取りました 18
  • カルマ: 10
吉田@Goyat LLCです。

Localhostでテストしていただいたほうが良いです。

または、

システムとDBをバックアップした後で現サイトのJoomfishをアップデートしてみてください。私のサイトはJoomfishを使っていませんので分かりません。
Joomla2.5や3では、Joomfishを使わなくても多言語対応が簡単にできますので。
ゲストの書き込みは許可されていません。

PHP変更について 5 年 7 ヶ月 ago #4743

  • Eileen
  • Eileen さんのアバター
  • Offline
  • Senior Boarder
  • 投稿数: 57
  • カルマ: 0
吉田様、

返信が遅くなりまして、すみません。
Joom!Fishサイト内を探してみたところ、2.0.4から2.2.3へのアップグレード方法が書かれていたのですが、英語のため不安なので、ローカルでテストしようと思い、XAMPPを導入してみました。解説などが書かれていなかったので、ネット上で情報を探してインストールし、バックアップした既存サイトをC:\xampp\htdocs下に作成したJoomlaフォルダに展開し、phpMyAdminでデータベースを新規作成し、そこにバックアップしたデータベースをインポートしました。

http://localhost/joomla/にアクセスしてみたところ、Akeeba Backup Installerが表示されました。「オプション設定」の「Display Errors」の欄だけが赤字で「Yes」になっており、そのまま次へ進むと警告が出ました。「Akeeba Backup Installer has detected that you are restoring to a different site than the one you backed up from. The database information displayed is for your old site.Would you like to clear the fields so that you can type in your new database connection information?」と聞いてきます。XAMPPで新規インストールする方法はネット上で見つけられるのですが、既存サイトを取り込む方法についての情報がなかなか見つけられず、行き詰っています。この先は難しそうでしょうか?ご教示いただけると助かります。

また、もしサーバー上でアップデートをして、不具合が生じた場合、元に戻すことは簡単にできるでしょうか?
バックアップしておいたフォルダやファイルをFTPで上書き(一部のファイルで良いのでしょうか?)するだけで元に戻せるのであれば、その方が早いような気もするのですが、アドバイスをいただけると幸いです。宜しくお願いいたします。
ゲストの書き込みは許可されていません。

PHP変更について 5 年 7 ヶ月 ago #4744

  • hanji009
  • hanji009 さんのアバター
  • Offline
  • Platinum Boarder
  • 投稿数: 466
  • 感謝を受け取りました 18
  • カルマ: 10
吉田@Goyat LLCです。

この警告メッセージは、無視してよいです。

>また、もしサーバー上でアップデートをして、不具合が生じた場合、元に戻すことは簡単にできるでしょうか?

Akeeba backupのデータが有れば、復元できます。

1.5の場合、システムファイル(既存)とDBがあれば、アップデートしたシステムファイルとDBを削除して復元すればよいだけです。
JoomfishのアップデートがDBも含めて変更される場合、不具合が発生すればDBを捨てて、オリジナルのDBと差し替えるだけです。
システムファイルもアップデートしたものを削除してオリジナルをFTPするだけです。

多分、失敗なくうまくいきますよ。
ゲストの書き込みは許可されていません。

PHP変更について 5 年 7 ヶ月 ago #4745

  • Eileen
  • Eileen さんのアバター
  • Offline
  • Senior Boarder
  • 投稿数: 57
  • カルマ: 0
吉田様、

アドバイスありがとうございました。
念のため、ローカルでアップデートを試みました。2.0.4をアンインストールしてから2.2.3をインストールするという手順が書いてあったので、そのようにしてみたところ、Joom!Fishのコントロール・パネルでもサイト表示でも英語&日本語の表記は大丈夫なようなのですが、テンプレートやモジュールにエラーが出ています。これはサーバーでPHP5.3にしたときには出ていなかったエラーのようですが、ローカルにインストールしたXAMPPのバージョンが1.8.3でPHPが5.5.9のようなので違いが出ているのでしょうか?サイトの全ページをチェックするのは大変なのですが、XAMPPではエラー・ログなどを出力することはできるでしょうか?
たびたびすみません。もしご存知でしたらご教示いただけると助かります。宜しくお願いいたします。
サーバーで直接アップデートしたほうが良いのかもしれませんが、ちょっと不安になっています。
ゲストの書き込みは許可されていません。

PHP変更について 5 年 7 ヶ月 ago #4746

  • hanji009
  • hanji009 さんのアバター
  • Offline
  • Platinum Boarder
  • 投稿数: 466
  • 感謝を受け取りました 18
  • カルマ: 10
吉田@Goyat LLCです。

>テンプレートやモジュールにエラーが出ています。これはサーバーでPHP5.3にしたときには出ていなかったエラーのようですが、ローカルにインストールしたXAMPPのバージョンが1.8.3でPHPが5.5.9のようなので違いが出ているのでしょうか?

はい。そうです。PHP5.3でないとまずいでしょう。

現在のサイトに直接アップデートを行ったほうが良いのではないでしょうか。ちゃんとAkeeba Backupでバックアップファイルを撮っておけば大丈夫でしょう。同時に、PHPMYAdみにでもDBをバックアップしておいておけば。当然、システムファイルもバックアップをしているでしょうから。

XAMPPでテストするよりは、早く結果が出ると思いますが。
ゲストの書き込みは許可されていません。

PHP変更について 5 年 7 ヶ月 ago #4747

  • Eileen
  • Eileen さんのアバター
  • Offline
  • Senior Boarder
  • 投稿数: 57
  • カルマ: 0
吉田様、

アドバイスありがとうございました。
早速バックアップをとって、サーバー上でJoom!Fishをアップデートしてみたところ、無事にアップグレード出来ました。
ところが、PHP5.2では問題ないのですが、PHP5.3にして表示させると下記の4つのエラーが出てしまいました。サイト内の各ページにも表示されてしまいます。
下の3つは同じ内容のようですが、テンプレートのエラーでしょうか?このテンプレートは古いため、サポートなどはしていなさそうです。
該当のPHPファイルを見ても、どこが問題なのか全くわからないので、困っています。
修正する方法はありますでしょうか?たびたびすみませんが、もしご教示いただけるようでしたら、宜しくお願いいたします。
念のため、該当ファイルを添付いたしました。

[04-Apr-2014 16:52:20 Asia/Tokyo] PHP Deprecated: Function eregi() is deprecated in /home/sites/heteml/users1/m/e/l/ユーザー名/web/サイト名/plugins/system/rokbox.php on line 98

[04-Apr-2014 16:52:20 Asia/Tokyo] PHP Warning: Cannot modify header information - headers already sent by (output started at /home/sites/heteml/users1/m/e/l/ユーザー名/web/サイト名/plugins/system/rokbox.php:98) in /home/sites/heteml/users1/m/e/l/ユーザー名/web/サイト名/templates/テンプレート名/lib/gantry/core/params/gantrycookieparams.class.php on line 34

[04-Apr-2014 16:52:20 Asia/Tokyo] PHP Warning: Cannot modify header information - headers already sent by (output started at /home/sites/heteml/users1/m/e/l/ユーザー名/web/サイト名/plugins/system/rokbox.php:98) in /home/sites/heteml/users1/m/e/l/ユーザー名/web/サイト名/templates/テンプレート名/lib/gantry/core/params/gantrycookieparams.class.php on line 34

[04-Apr-2014 16:52:20 Asia/Tokyo] PHP Warning: Cannot modify header information - headers already sent by (output started at /home/sites/heteml/users1/m/e/l/ユーザー名/web/サイト名/plugins/system/rokbox.php:98) in /home/sites/heteml/users1/m/e/l/ユーザー名/web/サイト名/templates/テンプレート名/lib/gantry/core/params/gantrycookieparams.class.php on line 34
添付ファイル:
ゲストの書き込みは許可されていません。

PHP変更について 5 年 7 ヶ月 ago #4748

  • hanji009
  • hanji009 さんのアバター
  • Offline
  • Platinum Boarder
  • 投稿数: 466
  • 感謝を受け取りました 18
  • カルマ: 10
吉田@Goyat LLCです。

rokboxのプラグインを削除するか、最新の1.5バージョンにして下さい。
www.rockettheme.com/joomla/extensions/rokbox

テンプレートの方は、私では対応できません。
ゲストの書き込みは許可されていません。

PHP変更について 5 年 7 ヶ月 ago #4751

  • Eileen
  • Eileen さんのアバター
  • Offline
  • Senior Boarder
  • 投稿数: 57
  • カルマ: 0
吉田様、

いつも迅速にご返信いただきまして、ありがとうございます。
いただいたリンク先を確認したのですが、Rokboxの1.5バージョンというのが見つけられません。ダウンロードページには4つファイルがありますが、最新は2.0.7のようです。どのファイルがJoomla1.5に対応しているのかの情報が見つけられませんでした。重ね重ねすみませんが、どのファイルを使用すべきか吉田様の方では判りますでしょうか?
教えていただけると幸いです。

エラーについてもずっと情報を探しているのですが、有効な情報が見当たりません。同じようなエラーについての修正方法がヒットして、その通りに修正してアップロードしてみたところ、上記のエラーは消えたのですが、他の行にエラーが出てしまいましたので、元に戻しました。
Joomfishのアップデートの後、しばらく気づかなかったのですが、各ページに表示していた言語選択のボタンが表示できなくなっていました。これがないと不便なので、上記のエラーが解決できれば表示できるのだと良いのですが・・・情報を探すのが難しく、少し不安になってきました。
ゲストの書き込みは許可されていません。